org.apache.hc.client5.http.routing

## Class RoutingSupport

- java.lang.Object
- - org.apache.hc.client5.http.routing.RoutingSupport

    public final class RoutingSupport
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`RoutingSupport()`

### Method Summary

All Methods Static Methods Concrete Methods
`static HttpHost` `determineHost(HttpRequest request)`
`static HttpHost` `normalize(HttpHost host, SchemePortResolver schemePortResolver)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RoutingSupport

    public RoutingSupport()

### Method Detail

#### determineHost

    public static HttpHost determineHost(HttpRequest request)
                                  throws HttpException

Throws:
  `HttpException`

#### normalize

    public static HttpHost normalize(HttpHost host,
                                     SchemePortResolver schemePortResolver)